Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.vcs
Interface VcsProviderRegistry

public interface VcsProviderRegistry

A global static storage for all VcsProviderType instances. An instance of VcsProviderType must register with the registry in order for IDE to use it. This class is a singlton and can be accessed with `VcsProviderRegistryAcess.getRegistry`

Author:
  TogetherSoft
Stereotype singleton

Method Summary
`VcsProviderType` | `getProviderType(String id)` Returns registered instance of VcsProviderType with ID equal to `id`.
`void` | `invalidateProvider(String id)` Called when a particular provider is no longer in valid state.
`Enumeration` | `registeredIDs()` Returns enumeration of IDs of all registered providers.
`void` | `registerProvider(VcsProviderType type)` Registers instance of VcsProviderType.
`void` | `unregisterProvider(VcsProviderType type)` Unregisters instance of VcsProviderType.

Method Detail

### getProviderType

    public VcsProviderType getProviderType(String id)

  Returns registered instance of VcsProviderType with ID equal to `id`.
  Parameters:
    id - ID of VcsProviderType to return
  Returns: registered instance of VcsProviderType, null if not found

### invalidateProvider

    public void invalidateProvider(String id)

  Called when a particular provider is no longer in valid state. For example, if options has changed, affecting the way the server is accessed. The VcsManager frees all used instances of VcsProvider and creates new, as necessary.
  Parameters:
    id - ID of provider to be invalidated

### registeredIDs

    public Enumeration registeredIDs()

  Returns enumeration of IDs of all registered providers.

### registerProvider

    public void registerProvider(VcsProviderType type)

  Registers instance of VcsProviderType.
  Parameters:
    type - instance of VcsProviderType to be registered

### unregisterProvider

    public void unregisterProvider(VcsProviderType type)

  Unregisters instance of VcsProviderType.
  Parameters:
    type - instance of VcsProviderType to unregister

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD